﻿@{
    ViewData["Title"] = "Ajax Paging";
}

<h1>Ajax Server Side Paging</h1>

Other Filter: <input class="input" type="text" id="otherFilter" /> <button type="button" class="btn btn-primary" id="search-btn">Search</button>
<div style="clear: both; height: 25px;"></div>
<table id="kn-test" class="table table-striped table-bordered" role="grid">
    <thead>
        <tr>
            <th>ID</th>
            <th>Name</th>
        </tr>
    </thead>
</table>

@section scripts{

    <link href="~/lib/jquery-datatable/datatables.min.css" rel="stylesheet" />
    <script src="~/lib/jquery-datatable/datatables.min.js"></script>
    <script type="text/javascript">
        $('document').ready(function () {
            var table = $('#kn-test').DataTable({
                searching: false,
                paging: true,
                stateSave: true,
                autoWidth: true,
                processing: true,
                serverSide: true,
                paging: true,
                filter: false,
                ajax: {
                    url: "",
                    type: "POST",
                    contentType: "application/json",
                    dataType: "json",
                    data: function (d) {
                        d.filter = $("#otherFilter").val();
                        return JSON.stringify(d);
                    }
                },
                columns: [
                    { data: "id" },
                    { data: "name" }
                ]
            });

            $("#search-btn").on("click", function () {
                table.draw();
            });
        });

    </script>
}